Name:           leocad
Version:        23.03
Release:        %{autorelease}
Summary:        A beginner friendly CAD application

License:        GPL-2.0-or-later
URL:            https://www.leocad.org/
Source:         https://github.com/leozide/leocad/archive/v%{version}/leocad-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gnu-free-sans-fonts
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libpng-devel
BuildRequires:  make
BuildRequires:  qca
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtgamepad-devel
BuildRequires:  qt5-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
# Directory ownership
Requires:       hicolor-icon-theme
Requires:       shared-mime-info
# Optional rendering support
Recommends:     povray

%description
A beginner friendly CAD program that uses models of LEGO bricks.

%prep
%autosetup
sed -i 's/lrelease-qt4/lrelease-qt5/g' leocad.pro
sed -i "/QMAKE_CXXFLAGS_WARN_ON += -Wno-unused-parameter/a QMAKE_CXXFLAGS += $CXXFLAGS" leocad.pro
sed -i "/QMAKE_CXXFLAGS_WARN_ON += -Wno-unused-parameter/a QMAKE_LFAGS += $LDFLAGS" leocad.pro

%build
qmake-qt5.sh DISABLE_UPDATE_CHECK=1 LDRAW_LIBRARY_PATH=%{_datadir}/ldraw leocad.pro
%make_build

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes
install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -d %{buildroot}%{_mandir}/man1
install -m 755 build/release/leocad %{buildroot}%{_bindir}/leocad
install -m 644 docs/leocad.1 %{buildroot}%{_mandir}/man1/leocad.1
mkdir -p %{buildroot}%{_metainfodir}
mkdir -p %{buildroot}%{_datadir}/mime/packages/
mkdir -p %{buildroot}%{_datadir}/applications/
install -m 644 tools/setup/leocad.appdata.xml  %{buildroot}%{_metainfodir}/leocad.appdata.xml
install -m 644 qt/leocad.xml %{buildroot}%{_datadir}/mime/packages/leocad.xml
install -m 644 tools/icon/scalable/mimetypes/application-vnd.leocad.svg \
    %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
install -m 644 tools/icon/scalable/apps/leocad.svg \
    %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/leocad.svg
desktop-file-install --dir=%{buildroot}%{_datadir}/applications qt/leocad.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/leocad.appdata.xml


%files
%{_bindir}/leocad
%doc docs/README.md
%doc docs/CREDITS.txt
%license docs/COPYING.txt
%{_datadir}/mime/packages/leocad.xml
%{_metainfodir}/leocad.appdata.xml
%{_datadir}/applications/leocad.desktop
%{_datadir}/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
%{_datadir}/icons/hicolor/scalable/apps/leocad.svg
%{_mandir}/man1/leocad.1*


%changelog
%autochangelog
